Bug 1247686 - Failed to install ovirt-hosted-engine | missing repos.
Failed to install ovirt-hosted-engine | missing repos.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: releng (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Joey Boggs
Entitlement Bugs
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 11:36 EDT by Nikolai Sednev
Modified: 2016-02-10 15:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-03 12:42:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikolai Sednev 2015-07-28 11:36:11 EDT
Description of problem:
Failed to install ovirt-hosted-engine | missing repos.
[root@alma02 ~]# yum install ovirt-hosted-engine-setup -y
Loaded plugins: langpacks, product-id, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package ovirt-hosted-engine-setup.noarch 0:1.2.5.2-1.el7ev will be installed
--> Processing Dependency: vdsm >= 4.16.23 for package: ovirt-hosted-engine-setup-1.2.5.2-1.el7ev.noarch
--> Processing Dependency: rhevm-sdk-python >= 3.5.2.1 for package: ovirt-hosted-engine-setup-1.2.5.2-1.el7ev.noarch
--> Processing Dependency: ovirt-hosted-engine-ha >= 1.2.6 for package: ovirt-hosted-engine-setup-1.2.5.2-1.el7ev.noarch
--> Processing Dependency: ovirt-host-deploy >= 1.3.0 for package: ovirt-hosted-engine-setup-1.2.5.2-1.el7ev.noarch
--> Running transaction check
---> Package ovirt-host-deploy.noarch 0:1.3.0-2.el7ev will be installed
---> Package ovirt-hosted-engine-ha.noarch 0:1.2.6-2.el7ev will be installed
---> Package rhevm-sdk-python.noarch 0:3.5.2.1-2.el7ev will be installed
---> Package vdsm.x86_64 0:4.16.23-1.el7ev will be installed
--> Processing Dependency: vdsm-xmlrpc = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Processing Dependency: vdsm-python-zombiereaper = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Processing Dependency: vdsm-python = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Processing Dependency: vdsm-jsonrpc = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Running transaction check
---> Package vdsm.x86_64 0:4.16.23-1.el7ev will be installed
--> Processing Dependency: vdsm-xmlrpc = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Processing Dependency: vdsm-python = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
--> Processing Dependency: vdsm-jsonrpc = 4.16.23-1.el7ev for package: vdsm-4.16.23-1.el7ev.x86_64
---> Package vdsm-python-zombiereaper.noarch 0:4.16.23-1.el7ev will be installed
--> Finished Dependency Resolution
Error: Package: vdsm-4.16.23-1.el7ev.x86_64 (rhev-3.5-el7.1)
           Requires: vdsm-jsonrpc = 4.16.23-1.el7ev
           Installed: vdsm-jsonrpc-4.17.0-1198.git6ede99a.el7.noarch (@ovirt-master-snapshot)
               vdsm-jsonrpc = 4.17.0-1198.git6ede99a.el7
           Available: vdsm-jsonrpc-4.16.23-1.el7ev.noarch (rhev-3.5-el7.1)
               vdsm-jsonrpc = 4.16.23-1.el7ev
Error: Package: vdsm-4.16.23-1.el7ev.x86_64 (rhev-3.5-el7.1)
           Requires: vdsm-xmlrpc = 4.16.23-1.el7ev
           Installed: vdsm-xmlrpc-4.17.0-1198.git6ede99a.el7.noarch (@ovirt-master-snapshot)
               vdsm-xmlrpc = 4.17.0-1198.git6ede99a.el7
           Available: vdsm-xmlrpc-4.16.23-1.el7ev.noarch (rhev-3.5-el7.1)
               vdsm-xmlrpc = 4.16.23-1.el7ev
Error: Package: vdsm-4.16.23-1.el7ev.x86_64 (rhev-3.5-el7.1)
           Requires: vdsm-python = 4.16.23-1.el7ev
           Installed: vdsm-python-4.17.0-1198.git6ede99a.el7.noarch (@ovirt-master-snapshot)
               vdsm-python = 4.17.0-1198.git6ede99a.el7
           Available: vdsm-python-4.16.23-1.el7ev.noarch (rhev-3.5-el7.1)
               vdsm-python = 4.16.23-1.el7ev
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@alma02 ~]#

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Use repos from here: https://mojo.redhat.com/docs/DOC-1005758 for your RHEL7.1 host.
2.Try installing ovirt-hosted-engine-setup on your host.
3.

Actual results:
Missing package dependencies. Failed to install ovirt-hosted-engine-setup.

Expected results:
ovirt-hosted-engine-setup installation should succeed.

Additional info:
Comment 1 Ilanit Stein 2015-07-29 04:57:57 EDT
Version ovirt 3.6.0-3

Note You need to log in before you can comment on or make changes to this bug.